1. FabriciusFab's Avatar
    Is somebody still reading this forums? lol
    Hi, the other day I was trying the android version off whatsapp in my OS 10 device and I used my old number, the one I had in my Storm.
    Android Whatsapp wouldn't work for me, then I tried to load it back on my Storm but for my surprise it displayed a message that went like this: "Update your phone: Unfortunately you can't use Whatsapp because your phone is running an old version of BlackBerry OS. If you're an existing Whatsapp user, register with your existing number. Otherwise please switch to a supported phone."
    I don't understand, first of all, they said that it would stop working after 2016, not during. [Ok, I just went to the page and only OS7+ are still supported.]
    Second, I AM an existing Whatsapp user and I DO have an existing number, even for the sake of trying, I registered it in an old android phone I had. Nothing.
    It was fine untill I logged out, why would they do this?
    Can there be a workaround? I was thinking installing an older version, but I don't know which one would still work and get me propperly logged in.
    Anyone tried something like that? Thank you all
    05-28-16 11:42 PM
  2. Pcmx's Avatar
    I'm still reading this lol. Sorry, i don't have the answers to your question but just wanted to say I was here and all the best in luck!

    Sent from my BlackBerry 8520 using Tapatalk
    FabriciusFab likes this.
    05-29-16 12:45 AM
  3. gaurav92's Avatar
    Whatsapp is now supporting only BBOD 7.1 and BB 10 and too till Dec 2016-so older BBOS versions would have problems
    05-29-16 04:40 AM
  4. JG_Agustin's Avatar
    Hi, I ran into the same problem when trying on my 9800 Torch. Also the BlackBerry World ID problem. As you, I also found the WhatsApp page indicating that support is now only for BBOS 7 and up. Ironically, WhatsApp still offers the BBOS app for download from its page...

    It seems some legacy phones are still working, so my best suggestion is they don't update or tinker with the app. Use it until it ultimately breaks.

    It sucks quite a bit, as I had put up my Torch for sale last month, security wiped it and now got these two issues when trying to configure everything again, it's a bummer.

    Posted with my powerful and masterful  Passport!
    05-30-16 08:51 AM
  5. JG_Agustin's Avatar
    We've managed to find a workarounds for Legacy devices with OS 6, namely 9780 and 9800. I can't assure you it will work on OS 5, but you can try, go to: beta.whatsapp.com/ota

    This allows you to download a Beta version of the app, which at least has worked on OS 6 devices.

    Let us know if it works for your Storm.

    Posted via the CrackBerry App for Android
    06-26-16 04:22 PM
  6. FabriciusFab's Avatar
    I'm very happy to know that it works on devices with OS6!
    I downloaded it myself and when I tried to authenticate the number it says "Can't register with this phone number. You can only register with the phone number that was last used with whatsapp on this phone" Which is funny, cause the one I was trying was the last number I used on my Storm.
    Should I completely unistall whatsapp before downloading the beta or is it the end now?
    By the way, nice idea to download the beta version
    06-29-16 06:06 PM
  7. JG_Agustin's Avatar
    I'm very happy to know that it works on devices with OS6!
    I downloaded it myself and when I tried to authenticate the number it says "Can't register with this phone number. You can only register with the phone number that was last used with whatsapp on this phone" Which is funny, cause the one I was trying was the last number I used on my Storm.
    Should I completely unistall whatsapp before downloading the beta or is it the end now?
    By the way, nice idea to download the beta version
    Yes, I would suggest you try uninstalling WhatsApp all together, reboot your phone and then try downloading/installing the Beta version from the link. Give it a shot, good luck!

    Posted with my powerful and masterful  Passport!
    06-29-16 09:48 PM
  8. FabriciusFab's Avatar
    No luck for me! Did a security wipe and after installing the beta it said "Unfortunately, whatsapp no longer supports this phone. Please switch to a supported phone"
    I guess this is the end for whatsapp in OS5 at least.
    If anyone finds a workaround I'd be happy to know how it's done.
    Thank you for the option and I hope it continues to work for the people who still use OS6
    06-30-16 11:45 AM

Similar Threads

  1. Whatsapp no longer supported on OS6
    By evodevo69 in forum BlackBerry Bold 9780
    Replies: 34
    Last Post: 04-27-17, 11:37 AM
  2. Google Drive on BB10
    By Alloyjane in forum BlackBerry 10 OS
    Replies: 7
    Last Post: 06-01-16, 06:56 AM
  3. Replies: 1
    Last Post: 05-28-16, 07:26 PM
  4. How do I turn off pop up notifications on the BlackBerry Classic?
    By CrackBerry Question in forum BlackBerry Classic
    Replies: 1
    Last Post: 05-28-16, 07:24 PM
  5. Any worthy difference between 10.3.2.2514 vs 2530 vs 2836 on the Leap or Passport?
    By CrackBerry Question in forum General BlackBerry Discussion
    Replies: 1
    Last Post: 05-28-16, 02:55 PM
LINK TO POST COPIED TO CLIPBOARD